### Method

# Soup Session set_proxy_resolver

#### Declaration [src]

    void
    soup_session_set_proxy_resolver (
      SoupSession* session,
      GProxyResolver* proxy_resolver
    )

#### Description [src]

Set a `GProxyResolver` to be used by `session` on new connections.

If `proxy_resolver` is `NULL` then no proxies will be used. See `SoupSession:proxy-resolver` for more information.

Sets property | `Soup.Session:proxy-resolver`

#### Parameters

`proxy_resolver` | `GProxyResolver`
| A `GProxyResolver` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.